### 3.3 `fegetexceptflag`—get floating-point status flags ¶

Synopsis

    #include <fenv.h>
    int fegetexceptflag(fexcept_t *flagp, int excepts);

    Link with -lm.

Description
This method attempts to store an implementation-defined representation of the states of the floating-point status flags specified by excepts in the memory pointed to by flagp.

Returns
If the information was successfully returned, this method returns zero. Otherwise, a non-zero value is returned.

Portability
ANSI C requires `fegetexceptflag`.

Not all Newlib targets have a working implementation. Refer to the file `sys/fenv.h` to see the status for your target.